Update Qlik app synchronization
Updates the synchronization information of a Qlik app. Returns a success response on success.
Authorization
Bearer AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'
In: header
Path Parameters
id*string
The unique identifier of the Qlik app.
Format
uuidRequest Body
application/json
The updated synchronization information.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/v2/qlikapps/synchronization/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "isSuccess": true, "error": {}, "errorDetails": "string", "message": "string", "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "lastStartedSyncDate": "2019-08-24T14:15:22Z", "lastSuccessfulSyncDate": "2019-08-24T14:15:22Z", "nextExecutionDate": "2019-08-24T14:15:22Z", "syncMessage": "string", "syncStatus": "string", "timeZoneOfset": "string", "scheduleId": "b7b4f318-018f-4d71-ac1a-f61e4bfaefbe", "defaultFolderUrl": "string", "defaultFolderId": "1f1371df-c978-4137-ba84-9ead709b283b", "qlikSenseServer": "string", "qlikSenseAdminUser": "string", "refreshMetadata": true, "schedule": { "name": "string", "isActive": true, "frequency": "string", "execution": "string", "priority": 0, "timeZone": "string", "day": 0, "month": 0, "atHour": 0, "atMinut": 0, "everyHours": 0, "fromHour": 0, "fromMinut": 0, "toHour": 0, "weeklyDays": "string", "timeZoneOfset": "string", "startDate": "2019-08-24T14:15:22Z", "endDate": "2019-08-24T14:15:22Z" } }, "resultInfo": { "page": 0, "perPage": 0, "totalCount": 0, "totalPages": 0, "hasPreviousPage": true, "hasNextPage": true }}